=== debian/changelog ===
ros-crystal-tf2-ros (0.10.1-0bionic) bionic; urgency=high

  * Allow static_transform_publisher to be run with ros arguments ros2`#80 <https://github.com/ros2/geometry2/issues/80>`_ (#82 <https://github.com/ros2/geometry2/issues/82>)
  * Contributors: Lucas Walter

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-crystal-tf2-ros (0.10.0-0bionic) bionic; urgency=high

  * Port tf2 ros message filter with ros2 tf2 and message filters (#81 <https://github.com/ros2/geometry2/issues/81>)
    * Port tf2 message filter to ros2
    - remove APIs to node callback queue due to no callback queue
    in ros2 now
    - Change failure callback register with failure prompting due to
    no corresponding boost signal2 in C++11 and later
    - Fix expected transform count in case of time tolerance
    - Upgrade all message counts to 64 bitThis should resolve C4267 warnings about downgrading a size_t.
  * Export tf2 dependency from tf2_ros (#72 <https://github.com/ros2/geometry2/issues/72>)
  * rclcpp time jump callback signature (#69 <https://github.com/ros2/geometry2/issues/69>)
  * Use ros2 time (#67 <https://github.com/ros2/geometry2/issues/67>)
  * Contributors: Carl Delsey, Ethan Gao, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2018 08:00:00 -0000

ros-crystal-tf2-ros (0.5.15-0bionic) bionic; urgency=high

  * tf2_ros: add option to unregister TransformListener (#201 <https://github.com/ros/geometry2/issues/201>)
  * Contributors: Hans-Joachim Krauch

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-crystal-tf2-ros (0.5.14-0bionic) bionic; urgency=high

  * Drop roslib.load_manifest (#191 <https://github.com/ros/geometry2/issues/191>)
  * Adds ability to load TF from the ROS parameter server.
  * Code linting & reorganization
  * Fix indexing beyond end of array
  * added a static transform broadcaster in python
  * lots more documentation
  * remove BufferCore doc, add BufferClient/BufferServer doc for C++, add Buffer/BufferInterface Python documentation
  * Better overview for Python
  * Contributors: Eric Wieser, Felix Duvallet, Jackie Kay, Mikael Arguedas, Mike Purvis

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-crystal-tf2-ros (0.5.13-0bionic) bionic; urgency=high

  * fix documentation warnings
  * Adding tests to package
  * Contributors: Laurent GEORGE, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-crystal-tf2-ros (0.5.12-0bionic) bionic; urgency=high

  * remove annoying gcc warning
    This is because the roslog macro cannot have two arguments that are
    formatting strings: we need to concatenate them first.
  * break canTransform loop only for non-tiny negative time deltas
    (At least) with Python 2 ros.Time.now() is not necessarily monotonic
    and one can experience negative time deltas (usually well below 1s)
    on real hardware under full load. This check was originally introduced
    to allow for backjumps with rosbag replays, and only there it makes sense.
    So we'll add a small duration threshold to ignore backjumps due to
    non-monotonic clocks.
  * Contributors: Vincent Rabaud, v4hn

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-crystal-tf2-ros (0.5.11-0bionic) bionic; urgency=high

  * do not short circuit waitForTransform timeout when running inside pytf. Fixes #102 <https://github.com/ros/geometry_experimental/issues/102>
    roscpp is not initialized inside pytf which means that ros::ok is not
    valid. This was causing the timer to abort immediately.
    This breaks support for pytf with respect to early breaking out of a loop re #26 <https://github.com/ros/geometry_experimental/issues/26>.
    This is conceptually broken in pytf, and is fixed in tf2_ros python implementation.
    If you want this behavior I recommend switching to the tf2 python bindings.
  * inject timeout information into error string for canTransform with timeout
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-crystal-tf2-ros (0.5.10-0bionic) bionic; urgency=high

  * switch to use a shared lock with upgrade instead of only a unique lock. For #91 <https://github.com/ros/geometry_experimental/issues/91>
  * Update message_filter.h
  * filters: fix unsupported old messages with frame_id starting with '/'
  * Enabled tf2 documentation
  * make sure the messages get processed before testing the effects. Fixes #88 <https://github.com/ros/geometry_experimental/issues/88>
  * allowing to use message filters with PCL types
  * Contributors: Brice Rebsamen, Jackie Kay, Tully Foote, Vincent Rabaud, jmtatsch

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-crystal-tf2-ros (0.5.9-0bionic) bionic; urgency=high

  * changed queue_size in Python transform boradcaster to match that in c++
  * Contributors: mrath

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-crystal-tf2-ros (0.5.8-0bionic) bionic; urgency=high

  * fix deadlock #79 <https://github.com/ros/geometry_experimental/issues/79>
  * break out of loop if ros is shutdown. Fixes #26 <https://github.com/ros/geometry_experimental/issues/26>
  * remove useless Makefile files
  * Fix static broadcaster with rpy args
  * Contributors: Paul Bovbel, Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-crystal-tf2-ros (0.5.7-0bionic) bionic; urgency=high

  * Added 6 param transform again
    Yes, using Euler angles is a bad habit. But it is much more convenient if you just need a rotation by 90° somewhere to set it up in Euler angles. So I added the option to supply only the 3 angles.
  * Remove tf2_py dependency for Android
  * Contributors: Achim Königs, Gary Servin

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000


