=== debian/control ===
Source: ros-crystal-tf2-ros
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-geometry-msgs, ros-crystal-message-filters, ros-crystal-rclcpp, ros-crystal-std-msgs, ros-crystal-tf2, ros-crystal-tf2-msgs, ros-crystal-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-crystal-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-geometry-msgs, ros-crystal-message-filters, ros-crystal-rclcpp, ros-crystal-std-msgs, ros-crystal-tf2, ros-crystal-tf2-msgs, ros-crystal-ros-workspace
Description: This package contains the ROS bindings for the tf2 library, for both Python and C++.
